%global pypi_name ansible-sdk
%global module_name ansible_sdk
%global commitId d4a123d4b87af1ca9f232934ac827e7b5df409ed

%global __requires_exclude receptorctl

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        Ansible SDK for Python

License:        ASL 2.0
URL:            https://github.com/ansible/ansible-sdk
Source0:        python-ansible-sdk-d4a123d4b87af1ca9f232934ac827e7b5df409ed.tar.gz
BuildArch:      noarch

Patch0:         default_metrics_path_value.patch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-wheel

%description
The Ansible SDK provides lightweight Python library for dispatching and
live-monitoring Ansible tasks, roles, and playbooks from the product or
project.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Ansible SDK for Python

Requires:       ansible-core
Requires:       ansible-runner
Requires:       receptorctl

%description -n python%{python3_pkgversion}-%{pypi_name}
The Ansible SDK provides lightweight Python library for dispatching and
live-monitoring Ansible tasks, roles, and playbooks from the product or
project.

%prep
%autosetup -p1 -n python-%{pypi_name}-%{commitId}

cat <<EOF > setup.cfg
[metadata]
name = %{pypi_name}
version = %{version}
author = Ansible, Inc.
author_email = info@ansible.com
url = %{url}
project_urls =
  Documentation = https://ansible-sdk.readthedocs.io/en/latest/
  Source Code = %{url}
license = %{license}
license_files = LICENSE.md
description = Consistent Ansible SDK for Python
long_description = file: README.md
long_description_content_type = text/markdown
classifiers =
  Development Status :: 3 - Alpha
  Intended Audience :: Developers
  License :: OSI Approved :: Apache Software License
  Topic :: Software Development :: Libraries :: Application Frameworks
  Programming Language :: Python :: 3.9
  Programming Language :: Python :: 3.10

[options]
install_requires =
    ansible-core
    ansible-runner
    receptorctl
python_requires = >=3.9
packages = find:
EOF

%build
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheel --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheel %{pypi_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE.md
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}.dist-info

%changelog
* Tue Mar 07 2023 Dimitri Savineau <dsavinea@redhat.com> 1.0.0-1
- Update ansible-sdk to 1.0.0
- Set default metrics path value

* Wed Dec 14 2022 Dimitri Savineau <dsavinea@redhat.com> 0.0.2-1
- Update ansible-sdk to 0.0.2

* Wed Nov 09 2022 Dimitri Savineau <dsavinea@redhat.com> 0.0.1-1
- Initial release
